{ config, lib, pkgs, ... }:

with lib;

mkIf (elem "udev" config.machine.services) {
  hardware.steam-hardware.enable = true;
  services.udev.extraRules = ''
    # IPTS Touchscreen (SP2017)
    SUBSYSTEMS=="input", ATTRS{name}=="ipts 1B96:001F SingleTouch", ENV{ID_INPUT_TOUCHSCREEN}="1", SYMLINK+="input/touchscreen"
    # IPTS Pen (SP2017)
    SUBSYSTEMS=="input", ATTRS{name}=="ipts 1B96:001F Pen", SYMLINK+="input/pen"
'';
}
